Skip to main content
`Ctrl`+`K`

# PetscStrToArrayDestroy

Frees array created with `PetscStrToArray()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrToArrayDestroy(int argc, char **args)

Not Collective; No Fortran Support

## Output Parameters

- argc - the number of arguments

- args - the array of arguments

## Note

This may be called before `PetscInitialize()` or after `PetscFinalize()`

## See Also

`PetscStrToArray()`

## Level

intermediate

## Location

src/sys/utils/str.c

## Examples

src/mat/tutorials/ex7.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages